2011-2014
Khronos Group
gl_LocalInvocationID
3G

# gl_LocalInvocationID

contains the index of work item currently being operated on by a compute shader

## Declaration

in
uvec3 `gl_LocalInvocationID`

## Description

In the compute language, `gl_LocalInvocationID` is an input variable containing the n-dimensional index of the local work invocation within the work group that the current shader is executing in. The possible values for this variable range across the local work group size, i.e., (0,0,0) to (`gl_WorkGroupSize.x` - 1, `gl_WorkGroupSize.y` - 1, `gl_WorkGroupSize.z` - 1).

## Version Support

`gl_LocalInvocationID`

## See Also

gl_NumWorkGroups, gl_WorkGroupID, gl_WorkGroupSize, gl_GlobalInvocationID

## Copyright

Copyright 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.